STRXFRM(3)

NAME
strxfrm - transform a string under locale

SYNOPSIS
#include <string.h>
size_t
strxfrm(char *dst, const char *src, size_t n);

DESCRIPTION
The idea of strxfrm() is to “un-localize” a string: the function transforms src, storing the result in dst, such that strcmp(3) on transformed strings returns what strcoll(3) on the original untransformed strings would return.

SEE ALSO
bcmp(3), memcmp(3), setlocale(3), strcasecmp(3), strcmp(3), strcoll(3)

STANDARDS
The strxfrm() function conforms to ansiC.

HISTORY
The strxfrm() function first appeared in 4.3BSD Reno.

BUGS
Since locales are not fully implemented on OpenBSD, strxfrm() just returns a copy of the original string.